### Method

# WPEPlatform BufferDMABufFormatsBuilder ref

#### Declaration [src]

    WPEBufferDMABufFormatsBuilder*
    wpe_buffer_dma_buf_formats_builder_ref (
      WPEBufferDMABufFormatsBuilder* builder
    )

#### Description [src]

Atomically acquires a reference on the given `builder`.

This function is MT-safe and may be called from any thread.

#### Return value

Type: `WPEBufferDMABufFormatsBuilder`

The same `builder` with an additional reference.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.